Post by kalyan_narra » Sun Jul 23, 2017 11:01 am

Getting below error while upgrading. Please review and help.

Notice: Use of undefined constant VERSION - assumed 'VERSION' in C:\xamppnew\apps\opencart\htdocs\system\framework.php on line 2

Fatal error: Uncaught ArgumentCountError: Too few arguments to function Session::__construct(), 0 passed in C:\xamppnew\apps\opencart\htdocs\system\framework.php on line 31 and at least 1 expected in C:\xamppnew\apps\opencart\htdocs\system\library\session.php:24 Stack trace: #0 C:\xamppnew\apps\opencart\htdocs\system\framework.php(31): Session->__construct() #1 C:\xamppnew\apps\opencart\htdocs\system\startup.php(104): require_once('C:\\xamppnew\\app...') #2 C:\xamppnew\apps\opencart\htdocs\install\index.php(37): start('install') #3 {main} thrown in C:\xamppnew\apps\opencart\htdocs\system\library\session.php on line 24

Newbie

Posts

Joined
Mon Apr 10, 2017 7:20 am

Post by straightlight » Sat Dec 02, 2017 1:22 am

Undefined constants from your config.php and admin/config.php file since the upgrade. Please follow this post in order to capture all constant names and paths for the latest release: viewtopic.php?f=199&t=198781&p=699560#p699560

The most generated errors being found on Opencart forum originates from contributed programming. The increased counters are caused by posted redundancies of the same solutions that were already provided prior.

F. Rules:

- viewtopic.php?f=176&t=200480
- viewtopic.php?f=176&t=200804


Regards,
Straightlight


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON
Who is online

Users browsing this forum: No registered users and 6 guests